function usage() {
    echo -e "USAGE:\n\
    $(basename $0) /path/control"

    exit 1
}

if [ -z "$1" ]; then
    control_file="debian/control"
else
    control_file=$1
fi

if [ ! -f "${control_file}" ]; then
    usage
    exit 1
fi

start_line=$(grep -n "Build-Depends" ${control_file} | awk -F: '{print $1}')

sed 's/\t//g' ${control_file} | awk -v start_line=${start_line} '
BEGIN {
    startnu=start_line
}

{
    if(NR==startnu) {print $0}
    if(NR>startnu) {if($0 ~ "^ ") {print $0;endnu=NR} else exit}
}

END {
    # print "startnu="startnu,"endnu="endnu
}
' | tr ',' '\n' | sed 's#(.*)##g' | sed 's#\[.*\]##g' | xargs | sed 's#Build-Depends:#sudo apt install -y#'
