#!/bin/bash

# 关闭安全
sudo security-switch --set custom --list ""

# 关闭防火墙
sudo sed '/^Mode=/ c Mode=off' /etc/kylin-firewall/kylin-firewall.conf

# 卸载定时改源的包
sudo dpkg -P kylin-software-properties kylin-background-upgrade

sudo reboot

# 设置2303源
sudo tee /etc/apt/sources.list <<EOF
deb http://archive.kylinos.cn/kylin/KYLIN-ALL 10.1 main universe multiverse restricted
deb http://archive.kylinos.cn/kylin/KYLIN-ALL 10.1-2303-updates main restricted universe multiverse
deb http://archive2.kylinos.cn/deb/kylin/production/PART-V10-SP1/custom/partner/V10-SP1 default all
EOF
sudo apt update

# 关闭deb安装校验
sed -i 's/^allow-kylinsign/#&/' /etc/dpkg/dpkg.cfg
sed -i 's/^verify-kylinsign/#&/' /etc/dpkg/dpkg.cfg

# 微信
sudo apt install kylin-kwre-wechat
