#!/bin/bash

SMB_SERVER_IP=172.29.157.20
MOUNT_POINT=/media/data
if [ ! -d "${MOUNT_POINT}" ]; then
    sudo mkdir -p "${MOUNT_POINT}"
fi

if ! mountpoint -q "${MOUNT_POINT}"; then
    sudo mount -t cifs //${SMB_SERVER_IP}/data "${MOUNT_POINT}" -o username=zhen,password=zhen,uid=$USER,gid=$USER,iocharset=utf8 #,vers=2.0
    echo "mount //${SMB_SERVER_IP}/data -> ${MOUNT_POINT} success!"
else
    echo "//${SMB_SERVER_IP}/data already mounted on ${MOUNT_POINT}"
fi

TO_WHERE="/media/data/git/gogs/work/my-debs/05-vkylin-installer/src/usr/bin"
if [ -d "${TO_WHERE}" ]; then
    pushd ${TO_WHERE}
fi
