#!/bin/bash

[ -f /usr/share/qyg-functions.sh ] && source /usr/share/qyg-functions.sh

if command -v rsync; then
    CP_CMD=rsync
    CP_CMD_OPTIONS="-avP -e 'ssh -p 10022'"
elif command -v scp; then
    CP_CMD=scp
    CP_CMD_OPTIONS="-P 10022"
fi

KYLIN_FILE=$1
if [ -f "${KYLIN_FILE}" ]; then
    MY_LOG_EXEC "${CP_CMD} ${CP_CMD_OPTIONS} ${KYLIN_FILE} zhen@s.xiayishusheng.com:/home/zhen/work/"
elif [ -d "${KYLIN_FILE}" ]; then
    MY_LOG_EXEC "${CP_CMD} ${CP_CMD_OPTIONS} -r ${KYLIN_FILE} zhen@s.xiayishusheng.com:/home/zhen/work/"
else
    echo "${KYLIN_FILE} not exist!"
fi
